PPSSPP Linux stopped working for me after update


#1

Hi! I’m running Retroarch on a Libreelec linux distribution and after updating the PPSSPP core it no longer works. Logs are as follows:

[ERROR] Failed to open libretro core: "/storage/.kodi/userdata/addon_data/game.retroarch/cores/ppsspp_libretro.so"
[ERROR] Error(s): libSDL2-2.0.so.0: cannot open shared object file: No such file or directory
^C[INFO] [Config]: Saved new config to "/storage/.config/retroarch/retroarch.cfg".

Is there a place where I can find the old version that I was using before? Or a fix for this issue?


#2

do you have libsdl2 installed on your distribution


#3

I don’t think I do. In that case PPSSPP was working without libsdl2 on a previous version. Is there a place where I can download older versions? Thanks!


#4

We don’t keep old builds of cores. You compile old versions yourself by checking out old snapshots from git.


#5

You can recover older builds of cores from older releases of LAKKA.